// file: $isip/class/stats/MixtureModel/mm_00.cc
// version: $Id: mm_00.cc 6075 2000-12-23 00:33:26Z picone $
//

// isip include files
//
#include "MixtureModel.h"

// there is no source code in this file
//

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String MixtureModel::CLASS_NAME(L"MixtureModel");

// constants: i/o related constants
//
const String MixtureModel::DEF_PARAM(L"");
const String MixtureModel::PARAM_WEIGHTS(L"weights");
const String MixtureModel::PARAM_MODELS(L"models");

// static instantiations: memory manager
//
MemoryManager MixtureModel::mgr_d(sizeof(MixtureModel), CLASS_NAME);
